Download it now!
Bug 31386 - Search Function Enhancement
Summary: Search Function Enhancement
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Kami
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-04 10:50 UTC by Marc Pare
Modified: 2013-05-16 21:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Pare 2010-11-04 10:50:39 UTC
When completing a search using the search function you are not returned at the same location from which you initiated the search. After discussion on the discuss mailist (thread: Old Bugs) there was a suggestion that an extension be used instead (this extension has been downloaded more than 100,000 times). It was then suggested that perhaps the search function could replaced by the search extension and be permanently coded into the LibO suite.

Location of the search extension: http://extensions.services.openoffice.org/en/search/node/altsearch


Note that we are also suggesting the if adopted we don't think new or casual users would find it offputting even though many of the features might be overkill for them. One possibility would be to hide all but the simplest features and provide an "Advanced" (or similar) button that would reveal them (and make it sticky so that once you've chosen "Advanced" it always appears whenever you hit Ctrl-F).
Comment 1 Kami 2010-11-08 03:44:17 UTC
Started
Comment 2 Kami 2010-11-08 03:55:13 UTC
License is

apos; Autor: Tomáš Bílek – © 2007 – xxxx@xxxx.xx (removed mail)
apos;
apos; Tento program je svobodný software; můžete jej šířit
apos; a modifikovat podle ustanovení GNU LGPL.
apos;
apos; Je rozšiřován v naději, že bude užitečný, avšak BEZ JAKÉKOLI ZÁRUKY.
apos; Originální text licence GNU LGPL najdete na http://www.gnu.org/licenses/lgpl.html
apos; ------------------------------------------------------------------------------
apos; This library is free software; you can redistribute it and/or
apos; modify it under the terms of the GNU Lesser General Public
apos; License as published by the Free Software Foundation; either
apos; version 2.1 of the License, or (at your option) any later version.

so this should not hold back the integration.
Comment 3 Kami 2010-11-08 03:56:45 UTC
As Petr asked I take care about this request.
Comment 4 bfoman (inactive) 2013-05-16 10:35:48 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 5 Marc Pare 2013-05-16 21:28:42 UTC
I don't think this bug is of any other consideration. The "Search" function is now treated differently. It no longer appears as a popup window and the present search does has more functions and options.

So, essentially, the devs did fix this bug.

I will close the bug.

Marc